%define name	SnortCenter
%define version	0.9.5
%define release	2mdk
%define webadminroot /var/www/html/admin

Summary:	Snort IDS Rule & Sensor Management
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://users.pandora.be/larc/
Source0:	snortcenter-v%{version}.tar.bz2
Patch0:		snortcenter-v%{version}-config.patch.bz2
Requires:	webserver mysqlserver php-common mod_php php-mysql snort ADOdb acid curl
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch
Prefix:         %{webadminroot}

%description
SnortCenter is a web-based client-server management system written
in PHP and Perl. It will help you to configure the Snort
configuration & signature files. The Management Console will build
the configuration files for you and then send it to the remote sensor.

Some features: 
* SSL encryption between Management System and remote Sensor
  Agents. 
* Build in user authentication. 
* Automatic update / import new snort signatures from the internet
  and push them to the sensors. 
* Start-Stop Snort remotely and push the specific configuration to
  the sensor. 
* Create personal rules or modify the snort rules. 
* One Sensor Agent can handle multiple snort daemons if the system
  has multiple network interfaces. 
* Multi Language support (english, german, french, spanish, italian,
  (dutch soon available) ). 
* Management Console and Sensor Agents for Linux, *NIX, Windows (NT,
  2000 & XP). 

%prep

%setup -q -n www
%patch0 -p0

%build

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{webadminroot}/%{name}
cp -aRf * %{buildroot}%{webadminroot}/%{name}/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc snortcenter_db.mysql snortcenter_db.pgsql
%config(noreplace) %attr(0644,apache,apache) %{webadminroot}/%{name}/config.php
%{webadminroot}/%{name}/*

%changelog
* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.5-2mdk
- build release

* Thu Sep 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.5-1mdk
- initial cooker contrib
- install in common and relocatable %%{webadminroot}/ directory

